"use strict";

this.name        = "yah_constore";
this.description = "ship script for constores";

this.shipSpawned = function() {
	//spawn a patrol (1-2 ships) around the station
	var count = 1 + Math.floor(Math.random() * 2);
	var shipdata = Ship.shipDataForKey(ship.dataKey);
	var defenseShip = shipdata["defense_ship_role"];
	var patrol = system.addShips(defenseShip, count, ship.position, 25E3);
	for (var i = 0; i < patrol.length; i++) {
		ship.group.addShip(patrol[i]);
		patrol[i].group = ship.group;
		patrol[i].switchAI("yah_patrolAI.js");
		patrol[i].forwardWeapon = "EQ_WEAPON_BEAM_LASER";
	}
}

//this makes the station behave very aggressively, if a ship in it's group is attacked
this.helpRequestReceived = function(ally, enemy) {
	//tame the behavior a bit
	if (Math.random() < 0.33) {
		ship.launchDefenseShip();
	}
}
